sling-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "GERODOLLE Anne RD-MAPS-GRE" <anne.gerodo...@orange-ftgroup.com>
Subject Version of servlet to be used with sling ?
Date Thu, 20 Sep 2007 09:22:08 GMT
Hi,

Following a mail from Felix on the felix users list, I am trying to use
the sling console to access and configure managed services on a OSGi
platform.

With help from Felix Meschberger, I've succeeded in installing a minimal
set of bundles on felix, so that I can at least manage the bundle's
lifecycle from a browser.
I've also installed the Metatype Service from felix.

However, when I go to http://<myserver>/sling/configMgr I get a mistake,
there is a method missing, namely
HttpServletRequest.getLocale(java.util.Locale)

I am using the servlet bundle from felix, which provides Servlet 2.1
API, and the HTTP Service from felix also. I suppose I should use a
different bundle that provides a more advanced version of the servlet
api, can you tell me which one you are using in sling ?

Thank you in advance,

Anne

Mime
View raw message